﻿using Syncfusion.JavaScript.Web;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace TestGrid
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        List<Person> Persons = new List<Person>();
        protected void Page_Load(object sender, EventArgs e)
        {
            BindDataSource();
        }
        private void BindDataSource()
        {
            List<Country> countryList = new List<Country>();
            countryList.Add(new Country() { CountryDescription = "United States" });
            countryList.Add(new Country() { CountryDescription = "Mexico" });
            countryList.Add(new Country() { CountryDescription = "Canada" });

            List<Address> adrs1 = new List<Address>();
            adrs1.Add(new Address() { Address1 = "No: 417", Address2 = "1st street", City = "Aurora", Country = countryList[0], Zip = "80010" });
            List<Address> adrs2 = new List<Address>();
            adrs2.Add(new Address() { Address1 = "No: 378", Address2 = "3rd cross street", City = "Austin", Country = countryList[1], Zip = "78701" });
            List<Address> adrs3 = new List<Address>();
            adrs3.Add(new Address() { Address1 = "No: 195", Address2 = "7th golden street", City = "Sandy", Country = countryList[2], Zip = "84070" });

            Persons.Add(new Person() { ID = 1001, FirstName = "John", LastName = "Beckett", Addresses = adrs1 });
            Persons.Add(new Person() { ID = 1002, FirstName = "Ben", LastName = "Smith", Addresses = adrs2 });
            Persons.Add(new Person() { ID = 1003, FirstName = "Andrew", LastName = "Fuller", Addresses = adrs3 });

            this.Grid.DataSource = Persons;
            this.Grid.DataBind();
        }

        [Serializable]
        public class Person
        {
            public Person()
            {

            }
            public Person(int id, string firstName, string lastName, List<Address> address)
            {
                this.ID = id;
                this.FirstName = firstName;
                this.LastName = lastName;
                this.Addresses = address;
            }
            public int ID { get; set; }
            public string FirstName { get; set; }
            public string LastName { get; set; }
            public List<Address> Addresses { get; set; }
        }
        [Serializable]
        public class Address
        {
            public string Address1 { get; set; }
            public string Address2 { get; set; }
            public string City { get; set; }
            public Country Country { get; set; }
            public string Zip { get; set; }
        }

        [Serializable]
        public class Country
        {
            public string CountryDescription { get; set; }
        }

    }
}